[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: cannot kill slapd from openldap-1.2.11

Victor Sudakov wrote:
> On Wed, Jul 19, 2000 at 09:58:06AM -0700, Terry Lambert wrote:
> > > Do you know if there is a patch available?
> >
> > Excuse the tabs and spaces on the cut and paste; the idea
> > should be obvious, though, and you can do the same with
> > an editor, since it's a one line change.
> >
> > Apply this patch in the directory /usr/src/lib/libc_r:
> Do I need to rebuild and reinstall openldap after I reinstall the
> library?

Yes.  Sorry if this wasn't clear.  The problem is that there
is a strong symbol that should be a weak symbol instead, at
the time you link the LDAP server.

That means that after you rebuild the library and install it,
you need to relink the LDAP server so that it gets the weak
version instead of the strong version.

> And thank you very much for the patch.

De nada.

-- Terry Lambert
-- Whistle Communications, Inc., an I.B.M. Company
-- terry@whistle.com
This is formal notice under California Assembly Bill 1629, enacted
9/26/98 that any UCE sent to my email address will be billed $50
per incident to the legally allowed maximum of $25,000.